Subject: bug#2652: 23.0.91; wacky behavior of "v" command in *vc-dir* buffer

From: Dan Nicolaescu <[email-masked]>
Date: Thu, 12 Mar 2009 17:38:56 -0700 (PDT)

Miles Bader <[email-masked]> writes:

  > In the *vc-dir* buffer, if the cursor is on a source file entry, "v"
  > operates on the file under the cursor.
  > 
  > However, if "v" is used on a non-file line, the behavior is kind of
  > weird:  It pops up a *vc-log* buffer, and allows you to enter a log
  > message, but then typing C-c C-c (`log-edit-done') in the *vc-log*
  > buffer to finish the commit results in an error:
  > 
  >    vc-find-backend-function: Cannot open load file: vc-nil
  > 
  > What I _expected_ to happen is for it to commit every changed file in
  > the *vc-dir* buffer; this behavior is not only fairly natural (I think),
  > but also suggested by actions of vc prior to the error:
  > 
  >   (1) Using the C-c C-f command (`log-edit-show-files') *vc-log* shows
  >       the directory name as the "files" (in *log-edit-files* buffer)
  > 
  >   (2) The C-c C-c command in *vc-log*, prior to the above error,
  >       displays the message (where DIRNAME is the directory name):
  > 
  >          Checking in DIRNAME...

Can you please provide a way to reproduce this starting from emacs -Q?
What is the output of:

M-: (vc-deduce-fileset) RET

before you press "v" ?